Bug 1278458 - [abrt] nemo: __strcmp_sse2_unaligned(): nemo killed by SIGSEGV
[abrt] nemo: __strcmp_sse2_unaligned(): nemo killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nemo (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4a30dd6286c1bb235fcd833b18e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 09:32 EST by satellitgo
Modified: 2017-03-13 02:07 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:24:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.78 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: core_backtrace (14.54 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: dso_list (10.38 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: environ (1.47 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: maps (54.71 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: mountinfo (3.50 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: open_fds (3.70 KB, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-11-05 09:32 EST, satellitgo
no flags Details

  None (edit)
Description satellitgo 2015-11-05 09:32:08 EST
Description of problem:
yumex-dnf update today

Version-Release number of selected component:
nemo-2.6.7-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nemo -n
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/nemo
global_pid:     2000
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:201
 #1 nemo_action_get_visibility at nemo-action.c:1359
 #2 bookmarks_check_popup_sensitivity at nemo-places-sidebar.c:2291
 #3 _g_closure_invoke_va at gclosure.c:864
 #5 g_signal_emit_by_name at gsignal.c:3479
 #6 gtk_tree_view_row_deleted at gtktreeview.c:9351
 #11 gtk_tree_model_row_deleted at gtktreemodel.c:1899
 #12 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2665
 #17 gtk_tree_model_row_deleted at gtktreemodel.c:1899
 #18 gtk_tree_store_remove at gtktreestore.c:1230

Potential duplicate: bug 1205002
Comment 1 satellitgo 2015-11-05 09:32:13 EST
Created attachment 1090105 [details]
File: backtrace
Comment 2 satellitgo 2015-11-05 09:32:14 EST
Created attachment 1090106 [details]
File: cgroup
Comment 3 satellitgo 2015-11-05 09:32:15 EST
Created attachment 1090107 [details]
File: core_backtrace
Comment 4 satellitgo 2015-11-05 09:32:16 EST
Created attachment 1090108 [details]
File: dso_list
Comment 5 satellitgo 2015-11-05 09:32:17 EST
Created attachment 1090109 [details]
File: environ
Comment 6 satellitgo 2015-11-05 09:32:18 EST
Created attachment 1090110 [details]
File: exploitable
Comment 7 satellitgo 2015-11-05 09:32:19 EST
Created attachment 1090111 [details]
File: limits
Comment 8 satellitgo 2015-11-05 09:32:21 EST
Created attachment 1090112 [details]
File: maps
Comment 9 satellitgo 2015-11-05 09:32:22 EST
Created attachment 1090113 [details]
File: mountinfo
Comment 10 satellitgo 2015-11-05 09:32:23 EST
Created attachment 1090114 [details]
File: open_fds
Comment 11 satellitgo 2015-11-05 09:32:24 EST
Created attachment 1090115 [details]
File: proc_pid_status
Comment 12 satellitgo 2015-11-05 09:32:25 EST
Created attachment 1090116 [details]
File: var_log_messages
Comment 13 Bruce Franklin 2015-11-26 14:59:55 EST
Another user experienced a similar problem:

Just click on a folder and it crashed.  Not doing anything special.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nemo -n
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/nemo
global_pid:     4519
kernel:         4.2.6-300.fc23.x86_64
package:        nemo-2.8.2-2.fc23
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 kr1st0 2015-12-20 22:26:50 EST
Another user experienced a similar problem:

Already have 2 tabs open then try to open one directory into a new tab and nemo crush.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nemo
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/nemo
global_pid:     7230
kernel:         4.2.6-301.fc23.x86_64
package:        nemo-2.8.5-1.fc23
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 kr1st0 2016-01-25 21:26:44 EST
Another user experienced a similar problem:

open two directories in tabs and perform copy one directory sized 450MB. In the middle of the copy process, suddenly nemo crash.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nemo /run/media/kris/Win7_X86X64_en-US_Mar2015
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/nemo
global_pid:     3551
kernel:         4.2.8-300.fc23.x86_64
package:        nemo-2.8.6-1.fc23
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Colonel Panic 2016-04-08 01:29:14 EDT
Another user experienced a similar problem:

Crash occurred randomly in the background while I was using another program. 

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nemo -n
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/nemo
global_pid:     2749
kernel:         4.2.3-300.fc23.x86_64
package:        nemo-2.6.7-2.fc23
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Fedora End Of Life 2016-11-24 08:06:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:24:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 NGupton98 2017-03-12 22:14:53 EDT
Just had this issue on Fedora 25, with Cinnamon Desktop. It won't let me upload a stacktrace, but I had tried to open a file from a sftp connection with VS Code if that helps.

Here's the log from the error reporter, (not that I think it'll help much):

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). 'YES'
Querying server settings
Preparing an archive to upload
Uploading 4.7 MiB
Upload successful
Retrace job started
Analyzing crash data
Preparing environment for backtrace generation
...................
Generating backtrace
Retrace job finished successfully
Looking for similar problems in bugzilla
Duplicate bugzilla bug '#1278458' was found
Searching for updates
No updates for this package found
Comment 20 NGupton98 2017-03-12 22:23:42 EDT
(In reply to NGupton98 from comment #19)
> Just had this issue on Fedora 25, with Cinnamon Desktop. It won't let me
> upload a stacktrace, but I had tried to open a file from a sftp connection
> with VS Code if that helps.
> 
> Here's the log from the error reporter, (not that I think it'll help much):
> 
> --- Running report_uReport ---
> ('report_uReport' completed successfully)
> 
> --- Running analyze_CCpp ---
> Ok to upload core dump? (It may contain sensitive data). If your answer is
> 'No', a stack trace will be generated locally. (It may download a huge
> amount of data). 'YES'
> Querying server settings
> Preparing an archive to upload
> Uploading 4.7 MiB
> Upload successful
> Retrace job started
> Analyzing crash data
> Preparing environment for backtrace generation
> ...................
> Generating backtrace
> Retrace job finished successfully
> Looking for similar problems in bugzilla
> Duplicate bugzilla bug '#1278458' was found
> Searching for updates
> No updates for this package found

Almost forgot, here is the FAF report from this: https://retrace.fedoraproject.org/faf/reports/1620770/

Note You need to log in before you can comment on or make changes to this bug.